aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2015-12-20 16:32:26 -0500
committerMike Frysinger <vapier@gentoo.org>2015-12-20 16:32:26 -0500
commit4f000d9c228474b6e34c9ce9e84bcce781271914 (patch)
tree277ebaa1e092f20ebf43616c322cd37cebef4f1b /tests/openat_static-1.sh
parentlibsbutil: gnulib: hand disable same_name usage (diff)
downloadsandbox-4f000d9c228474b6e34c9ce9e84bcce781271914.tar.gz
sandbox-4f000d9c228474b6e34c9ce9e84bcce781271914.tar.bz2
sandbox-4f000d9c228474b6e34c9ce9e84bcce781271914.zip
tests: check errno with more static tests
This verifies the error code setting with ptrace logic -- if the ptrace code is broken, the errno will often be ENOSYS instead of EPERM. Signed-off-by: Mike Frysinger <vapier@gentoo.org>
Diffstat (limited to 'tests/openat_static-1.sh')
-rwxr-xr-xtests/openat_static-1.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/openat_static-1.sh b/tests/openat_static-1.sh
index 929fc51..a4d1b90 100755
--- a/tests/openat_static-1.sh
+++ b/tests/openat_static-1.sh
@@ -8,5 +8,5 @@ openat_static-0 3 AT_FDCWD ok O_RDONLY 0666 || exit 1
mkdir deny || exit 1
adddeny $PWD/deny
-openat_static-0 -1 AT_FDCWD deny/not-ok "O_WRONLY|O_CREAT" 0666
+openat_static-0 -1,EPERM AT_FDCWD deny/not-ok "O_WRONLY|O_CREAT" 0666 || exit 1
test -e sandbox.log